List Errors

Hand off to an LLM

List terminal error events.

Returns error events produced by failed function calls within workflow executions. Non-error output events are excluded; use GET /v3/outputs to retrieve those.

Filtering

Filter by call, workflow, function, or reference ID. Multiple filters are ANDed together.

GET
/v3/errors
x-api-key<token>

Authenticate using API Key in request header

In: header

Query Parameters

limit?integer
Default50
Range1 <= value <= 100
callIDs?array<>

Filter to errors from specific calls.

Items1 <= items
workflowIDs?array<>
Items1 <= items
workflowNames?array<>
Items1 <= items
functionIDs?array<>
Items1 <= items
functionNames?array<>
Items1 <= items
referenceIDs?array<>
Items1 <= items
referenceIDSubstring?string

Case-insensitive substring match against referenceID.

sortOrder?string
Default"asc"
Value in"asc" | "desc"
startingAfter?string
endingBefore?string

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/errors"
{
  "errors": [
    {
      "functionCallTryNumber": 0,
      "eventID": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "referenceID": "string",
      "inboundEmail": {
        "to": "string",
        "deliveredTo": "string",
        "from": "string",
        "subject": "string"
      },
      "metadata": {
        "durationFunctionToEventSeconds": 0
      },
      "eventType": "error",
      "functionCallID": "string",
      "functionID": "string",
      "functionName": "string",
      "functionVersionNum": 0,
      "callID": "string",
      "workflowID": "string",
      "workflowName": "string",
      "workflowVersionNum": 0,
      "message": "string"
    }
  ],
  "totalCount": 0
}

See also